POSTapi.synup.com/api/v4/locations/listings/mark-as-not-duplicate
Mark listings as not duplicates
This API removes the duplicate flag from one or more listings for a specific location.
Behavior:
- Allows correction of incorrectly flagged duplicates.
- Ensures that distinct business locations remain separately listed.
Requires an API key. Send it as
Authorization: API <your-key> — see Getting started.Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
Content-Type | string | required |
Body
| Name | Type | Required | Description |
|---|---|---|---|
input | object | required | |
input.locationId | string | required | The unique identifier of the location |
input.listingItemIds | array of string | required | Array of listing IDs to mark as not duplicates |
Request
Request
curl -X POST 'https://api.synup.com/api/v4/locations/listings/mark-as-not-duplicate' \
-H 'Authorization: API YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"input": {
"locationId": "TG9jYXRpb246MjcyODc2",
"listingItemIds": [
"TGlzdGluZ0l0ZW06NDMzODcxMjY=",
"TGlzdGluZ0l0ZW06NDMzODcxMzE="
]
}
}'const res = await fetch('https://api.synup.com/api/v4/locations/listings/mark-as-not-duplicate', {
method: 'POST',
headers: {
Authorization: 'API YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"input": {
"locationId": "TG9jYXRpb246MjcyODc2",
"listingItemIds": [
"TGlzdGluZ0l0ZW06NDMzODcxMjY=",
"TGlzdGluZ0l0ZW06NDMzODcxMzE="
]
}
}),
});
const data = await res.json();import requests
res = requests.post(
"https://api.synup.com/api/v4/locations/listings/mark-as-not-duplicate",
headers={
"Authorization": "API YOUR_API_KEY",
"Content-Type": "application/json",
},
json={
"input": {
"locationId": "TG9jYXRpb246MjcyODc2",
"listingItemIds": [
"TGlzdGluZ0l0ZW06NDMzODcxMjY=",
"TGlzdGluZ0l0ZW06NDMzODcxMzE="
]
}
},
)
data = res.json()req, _ := http.NewRequest("POST", "https://api.synup.com/api/v4/locations/listings/mark-as-not-duplicate", bytes.NewBufferString(payload))
req.Header.Set("Authorization", "API YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)Responses
| Status | Description |
|---|---|
200 | Operation completed successfully |
400 | Bad request - invalid input parameters |
401 | Unauthorized - invalid or missing API key |
403 | Forbidden - insufficient permissions |
Example response (generated from the schema)
{
"data": {
"markAsNotDuplicate": {
"clientMutationId": "string",
"errors": [
"string"
],
"success": true,
"warnings": [
"string"
]
}
},
"errors": [
{
"message": "string"
}
]
}Response body
| Name | Type | Required | Description |
|---|---|---|---|
data | object | optional | |
data.markAsNotDuplicate | object | optional | |
data.markAsNotDuplicate.clientMutationId | string | optional | Optional client-provided mutation identifier |
data.markAsNotDuplicate.errors | array of string | optional | Array of error messages if any occurred |
data.markAsNotDuplicate.success | boolean | optional | Indicates if the operation was successful |
data.markAsNotDuplicate.warnings | array of string | optional | Array of warning messages if any occurred |
errors | array of object | optional | |
errors[].message | string | optional | Error message details |